package cc.smtweb.biz.mztb.web.base;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2023-12-19 11:07:10
 * 实体【[年末人数信息](TB_YEAR_END_PERSONS)】的Entity类
 */
@SwTable("TB_YEAR_END_PERSONS")
public class YearEndPersons extends DefaultEntity {
    public static final String ENTITY_NAME = "TB_YEAR_END_PERSONS";

    public YearEndPersons() {
        super(ENTITY_NAME);
    }

    /** 主键 */
    public long getId() {
        return getLong("yep_id");
    }

    /** 主键 */
    public void setId(long yep_id) {
        put("yep_id", yep_id);
    }
    /** 最后更新时间 */
    public long getUpdateAt() {
        return getLong("yep_update_at");
    }

    /** 最后更新时间 */
    public void setUpdateAt(long yep_update_at) {
        put("yep_update_at", yep_update_at);
    }
    /** 填报主表ID */
    public long getFoId() {
        return getLong("yep_fo_id");
    }

    /** 填报主表ID */
    public void setFoId(long yep_fo_id) {
        put("yep_fo_id", yep_fo_id);
    }
    /** 年末床位数 */
    public int getYeBed() {
        return getInt("yep_ye_bed");
    }

    /** 年末床位数 */
    public void setYeBed(int yep_ye_bed) {
        put("yep_ye_bed", yep_ye_bed);
    }
    /** 年末床位数（护理型床位） */
    public int getYeNurseBed() {
        return getInt("yep_ye_nurse_bed");
    }

    /** 年末床位数（护理型床位） */
    public void setYeNurseBed(int yep_ye_nurse_bed) {
        put("yep_ye_nurse_bed", yep_ye_nurse_bed);
    }
    /** 年在院总人天数 */
    public int getYeZrts() {
        return getInt("yep_ye_zrts");
    }

    /** 年在院总人天数 */
    public void setYeZrts(int yep_ye_zrts) {
        put("yep_ye_zrts", yep_ye_zrts);
    }
    /** 年末在院人数 */
    public int getYeNumber() {
        return getInt("yep_ye_number");
    }

    /** 年末在院人数 */
    public void setYeNumber(int yep_ye_number) {
        put("yep_ye_number", yep_ye_number);
    }
    /** 年末在院人数（女性） */
    public int getYeMissNum() {
        return getInt("yep_ye_miss_num");
    }

    /** 年末在院人数（女性） */
    public void setYeMissNum(int yep_ye_miss_num) {
        put("yep_ye_miss_num", yep_ye_miss_num);
    }
    /** 年末在院人数（其他人员） */
    public int getYeOtherNum() {
        return getInt("yep_ye_other_num");
    }

    /** 年末在院人数（其他人员） */
    public void setYeOtherNum(int yep_ye_other_num) {
        put("yep_ye_other_num", yep_ye_other_num);
    }
    /** 年末在院人数（特困人员救助供养对象） */
    public int getYePoverty() {
        return getInt("yep_ye_poverty");
    }

    /** 年末在院人数（特困人员救助供养对象） */
    public void setYePoverty(int yep_ye_poverty) {
        put("yep_ye_poverty", yep_ye_poverty);
    }
    /** 年末在院人数（自费人员） */
    public int getYeSelfPaying() {
        return getInt("yep_ye_self_paying");
    }

    /** 年末在院人数（自费人员） */
    public void setYeSelfPaying(int yep_ye_self_paying) {
        put("yep_ye_self_paying", yep_ye_self_paying);
    }
    /** 年末在院人数（老年人） */
    public int getYeOldMan() {
        return getInt("yep_ye_old_man");
    }

    /** 年末在院人数（老年人） */
    public void setYeOldMan(int yep_ye_old_man) {
        put("yep_ye_old_man", yep_ye_old_man);
    }
    /** 年末在院人数（青壮年） */
    public int getYeYoung() {
        return getInt("yep_ye_young");
    }

    /** 年末在院人数（青壮年） */
    public void setYeYoung(int yep_ye_young) {
        put("yep_ye_young", yep_ye_young);
    }
    /** 年末在院人数（儿童） */
    public int getYeChild() {
        return getInt("yep_ye_child");
    }

    /** 年末在院人数（儿童） */
    public void setYeChild(int yep_ye_child) {
        put("yep_ye_child", yep_ye_child);
    }
    /** 年末在院人数（能力完好） */
    public int getYeIntact() {
        return getInt("yep_ye_intact");
    }

    /** 年末在院人数（能力完好） */
    public void setYeIntact(int yep_ye_intact) {
        put("yep_ye_intact", yep_ye_intact);
    }
    /** 年末在院人数（部分失能） */
    public int getYePartDisability() {
        return getInt("yep_ye_part_disability");
    }

    /** 年末在院人数（部分失能） */
    public void setYePartDisability(int yep_ye_part_disability) {
        put("yep_ye_part_disability", yep_ye_part_disability);
    }
    /** 年末在院人数（完全失能） */
    public int getYeDisability() {
        return getInt("yep_ye_disability");
    }

    /** 年末在院人数（完全失能） */
    public void setYeDisability(int yep_ye_disability) {
        put("yep_ye_disability", yep_ye_disability);
    }
    /** 康复和医疗门诊人次数 */
    public int getOutpatientService() {
        return getInt("yep_outpatient_service");
    }

    /** 康复和医疗门诊人次数 */
    public void setOutpatientService(int yep_outpatient_service) {
        put("yep_outpatient_service", yep_outpatient_service);
    }
    /** 家庭寄养儿童数量 */
    public int getFosterChildren() {
        return getInt("yep_foster_children");
    }

    /** 家庭寄养儿童数量 */
    public void setFosterChildren(int yep_foster_children) {
        put("yep_foster_children", yep_foster_children);
    }
    /** 机构建筑面积（平方米） */
    public long getAcreage() {
        return getLong("yep_acreage");
    }

    /** 机构建筑面积（平方米） */
    public void setAcreage(long yep_acreage) {
        put("yep_acreage", yep_acreage);
    }
    /** 相关单位统一社会信用代码 */
    public String getUnitCreditCode() {
        return getStr("yep_unit_credit_code");
    }

    /** 相关单位统一社会信用代码 */
    public void setUnitCreditCode(String yep_unit_credit_code) {
        put("yep_unit_credit_code", yep_unit_credit_code);
    }
    /** 相关单位名称 */
    public String getUnitName() {
        return getStr("yep_unit_name");
    }

    /** 相关单位名称 */
    public void setUnitName(String yep_unit_name) {
        put("yep_unit_name", yep_unit_name);
    }
}
